# SimpleTestXmlResultFormatter

Extends \SimpleTestResultFormatter

Prints plain text output of the test to a specified Writer.

author | Michiel Rook mrook@php.net
package | phing.tasks.ext.simpletest
since | 2.2.0

### Methods

## __construct

    __construct()

## captureStart

    captureStart()

## captureStop

    captureStop()

## getElapsedTime

    getElapsedTime() : integer

inherited

### Response

`integer`

## getErrorCount

    getErrorCount() : integer

inherited

### Response

`integer`

## Returns the extension used for this formatter

    getExtension() : string

inherited

### Response

`string`

the extension

## getFailureCount

    getFailureCount() : integer

inherited

### Response

`integer`

## getPreferredOutfile

    getPreferredOutfile() : string

inherited

### Response

`string`

## getRunCount

    getRunCount() : integer

inherited

### Response

`integer`

## getTestName

    getTestName() : string

inherited

### Response

`string`

## paintCaseEnd

    paintCaseEnd(string $test_name)

inherited

### Arguments

#### $test_name

`string`

## paintCaseStart

    paintCaseStart(string $test_name)

inherited

### Arguments

#### $test_name

`string`

## paintError

    paintError(string $message)

inherited

### Arguments

#### $message

`string`

## paintException

    paintException(\Exception $exception)

### Arguments

#### $exception

`\Exception`

## paintFail

    paintFail(string $message)

inherited

### Arguments

#### $message

`string`

## paintFormattedMessage

    paintFormattedMessage(string $message)

### Arguments

#### $message

`string`

## paintGroupEnd

    paintGroupEnd(string $test_name)

### Arguments

#### $test_name

`string`

## paintGroupStart

    paintGroupStart(string $test_name, integer $size)

### Arguments

#### $test_name

`string`

#### $size

`integer`

## paintMessage

    paintMessage(string $message)

### Arguments

#### $message

`string`

## paintMethodEnd

    paintMethodEnd(string $test_name)

inherited

### Arguments

#### $test_name

`string`

## paintMethodStart

    paintMethodStart(string $test_name)

inherited

### Arguments

#### $test_name

`string`

## paintPass

    paintPass(string $message)

### Arguments

#### $message

`string`

## paintSignal

    paintSignal(string $type, mixed $payload)

### Arguments

#### $type

`string`

#### $payload

`mixed`

## paintSkip

    paintSkip(string $message)

### Arguments

#### $message

`string`

## Sets the writer the formatter is supposed to write its results to.

    setOutput(\Writer $out)

inherited

### Arguments

#### $out

`\Writer`

## Sets the project

    setProject(\Project $project)

inherited

### Arguments

#### $project

`\Project`

### Properties

## logger

    logger : \XmlReporter

var |

### Type(s)

`\XmlReporter`

## xmlData

    xmlData :

### Type(s)

``

## out

    out :

inherited

### Type(s)

``

## project

    project :

inherited

### Type(s)

``

## timer

    timer :

inherited

### Type(s)

``

## runCount

    runCount :

inherited

### Type(s)

``

## failureCount

    failureCount :

inherited

### Type(s)

``

## errorCount

    errorCount :

inherited

### Type(s)

``

## currentTest

    currentTest :

inherited

### Type(s)

``